#!/bin/bash

FILE_PATH=$(cd `dirname $0`; pwd)
APP_VERSION=`cat $FILE_PATH/version`
APP_MAIN_JAR="examcloud-config-center-"$APP_VERSION"-SNAPSHOT.jar"

JAVA_OPTS=`cat $FILE_PATH/start.vmoptions`
APP_ARGS=`cat $FILE_PATH/start.args`

PID_LIST=`ps -ef|grep $APP_MAIN_JAR|grep java|awk '{print $2}'`

if [ ! -z "$PID_LIST" ]; then
    echo "[ERROR] : APP is already running!"
    exit -1
fi

echo "java options:"
echo "$JAVA_OPTS"
echo "args:"
echo "$APP_ARGS"

java $JAVA_OPTS -jar $FILE_PATH/lib/$APP_MAIN_JAR $APP_ARGS 

exit 0

